<?php
require_once "SiemensXMLElement.php";

class IppImageItem extends SiemensXMLElement {

	const LayoutCenter = "CENTER";
	const LayoutDefault = "DEFAULT";
	const LayoutLeft = "LEFT";
	const LayoutNewLineAfter = "NEWLINE_AFTER";
	const LayoutNewLineBefore = "NEWLINE_BEFORE";
	const LayoutRight = "RIGHT";
	
	private $layout = null;
		
	public function __construct($layout = IppImageItem::LayoutCenter) {
		
		$attributes = array();
		$attributes["Layout"] = $layout;

		parent::__construct($attributes);
	}
	
	public function renderXMLBeforeChildsHook(xmlWriter &$xw) {
		//$xw->text($this->text);
	}
	
	
	protected function name() {
		return "IppImageItem";
	}
	
}